VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits:

## Avaliable Methods
public method | set_max_buffer_size ()
public method | set_max_community_length ()
public method | get_max_destinations_v3 ()
public method | get_max_community_length ()
public method | set_max_notification_filters ()
public method | set_max_trap_destinations_v1 ()
public method | set_max_communities ()
public method | get_max_trap_destinations_v1 ()
public method | get_max_buffer_size ()
public method | set_max_destinations_v3 ()
public method | get_max_notification_filters ()
public method | new ()
public method | get_max_communities ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits` class Structure that provides various limits of the SNMP agent.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::get_max_buffer_size | ( |  | ) |

Gets the value of 'max_buffer_size' property.

Return values

  max_buffer_size | - The current value of the field. Set up max buffer size long#

Code:
click to view
# Number of lines of code in get_max_buffer_size: 4
sub get_max_buffer_size {
my ($self, %args) = @_;
return $self->{'max_buffer_size'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::get_max_communities | ( |  | ) |

Gets the value of 'max_communities' property.

Return values

  max_communities | - The current value of the field. Set up maximum communities limit long#

Code:
click to view
# Number of lines of code in get_max_communities: 4
sub get_max_communities {
my ($self, %args) = @_;
return $self->{'max_communities'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::get_max_community_length | ( |  | ) |

Gets the value of 'max_community_length' property.

Return values

  max_community_length | - The current value of the field. Set up max community length long#

Code:
click to view
# Number of lines of code in get_max_community_length: 4
sub get_max_community_length {
my ($self, %args) = @_;
return $self->{'max_community_length'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::get_max_destinations_v3 | ( |  | ) |

Gets the value of 'max_destinations_v3' property.

Return values

  max_destinations_v3 | - The current value of the field. Set up max destinations limit long#

Code:
click to view
# Number of lines of code in get_max_destinations_v3: 4
sub get_max_destinations_v3 {
my ($self, %args) = @_;
return $self->{'max_destinations_v3'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::get_max_notification_filters | ( |  | ) |

Gets the value of 'max_notification_filters' property.

Return values

  max_notification_filters | - The current value of the field. Set up max notification Filters long#

Code:
click to view
# Number of lines of code in get_max_notification_filters: 4
sub get_max_notification_filters {
my ($self, %args) = @_;
return $self->{'max_notification_filters'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::get_max_trap_destinations_v1 | ( |  | ) |

Gets the value of 'max_trap_destinations_v1' property.

Return values

  max_trap_destinations_v1 | - The current value of the field. Set up max trap destinations limit long#

Code:
click to view
# Number of lines of code in get_max_trap_destinations_v1: 4
sub get_max_trap_destinations_v1 {
my ($self, %args) = @_;
return $self->{'max_trap_destinations_v1'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{max_communities} = $args{'max_communities'};
$self->{max_trap_destinations_v1} = $args{'max_trap_destinations_v1'};
$self->{max_destinations_v3} = $args{'max_destinations_v3'};
$self->{max_notification_filters} = $args{'max_notification_filters'};
$self->{max_community_length} = $args{'max_community_length'};
$self->{max_buffer_size} = $args{'max_buffer_size'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNMP_limits');
$self->set_binding_field('key' => 'max_communities', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'max_trap_destinations_v1', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'max_destinations_v3', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'max_notification_filters', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'max_community_length', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'max_buffer_size', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::set_max_buffer_size | ( |  | ) |

Sets the given value for 'max_buffer_size' property.

Parameters

  max_buffer_size | - New value for the field. Set up max buffer size

Code:
click to view
# Number of lines of code in set_max_buffer_size: 5
sub set_max_buffer_size {
my ($self, %args) = @_;
$self->{'max_buffer_size'} = $args{'max_buffer_size'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::set_max_communities | ( |  | ) |

Sets the given value for 'max_communities' property.

Parameters

  max_communities | - New value for the field. Set up maximum communities limit

Code:
click to view
# Number of lines of code in set_max_communities: 5
sub set_max_communities {
my ($self, %args) = @_;
$self->{'max_communities'} = $args{'max_communities'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::set_max_community_length | ( |  | ) |

Sets the given value for 'max_community_length' property.

Parameters

  max_community_length | - New value for the field. Set up max community length

Code:
click to view
# Number of lines of code in set_max_community_length: 5
sub set_max_community_length {
my ($self, %args) = @_;
$self->{'max_community_length'} = $args{'max_community_length'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::set_max_destinations_v3 | ( |  | ) |

Sets the given value for 'max_destinations_v3' property.

Parameters

  max_destinations_v3 | - New value for the field. Set up max destinations limit

Code:
click to view
# Number of lines of code in set_max_destinations_v3: 5
sub set_max_destinations_v3 {
my ($self, %args) = @_;
$self->{'max_destinations_v3'} = $args{'max_destinations_v3'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::set_max_notification_filters | ( |  | ) |

Sets the given value for 'max_notification_filters' property.

Parameters

  max_notification_filters | - New value for the field. Set up max notification Filters

Code:
click to view
# Number of lines of code in set_max_notification_filters: 5
sub set_max_notification_filters {
my ($self, %args) = @_;
$self->{'max_notification_filters'} = $args{'max_notification_filters'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits::set_max_trap_destinations_v1 | ( |  | ) |

Sets the given value for 'max_trap_destinations_v1' property.

Parameters

  max_trap_destinations_v1 | - New value for the field. Set up max trap destinations limit

Code:
click to view
# Number of lines of code in set_max_trap_destinations_v1: 5
sub set_max_trap_destinations_v1 {
my ($self, %args) = @_;
$self->{'max_trap_destinations_v1'} = $args{'max_trap_destinations_v1'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm